﻿namespace InternshipSystem.Core
{
    public struct Nip
    {
        private readonly string nip;

        private Nip(string maybeNip)
        {
            nip = maybeNip;
        }

        public static implicit operator string(Nip nip) =>
            nip.nip;

        public static implicit operator Nip(string maybeNip) =>
            new Nip(maybeNip);
    }
}