﻿using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using InternshipSystem.Core;

namespace InternshipSystem.Repository.Model
{
    public class EditionReadModel
    {
        public long Id { get; set; }
        public DateTime EditionStart { get; set; }
        public DateTime EditionFinish { get; set; }
        public DateTime ReportingStart { get; set; }
        public Course Course { get; set; }
        public ImmutableList<EditionSubject> AvailableSubjects { get; set; }
    }
}