﻿using System.Collections.Generic;
using InternshipSystem.Core;

namespace InternshipSystem.Repository.Model
{
    public class InternshipReadModel
    {
        public long Id { get; set; }
        public Student Student { get; set; }
        public InternshipRegistrationReadModel InternshipRegistration { get; set; }
        public InternshipProgramReadModel InternshipProgram { get; set; }
        public Report Report { get; set; }
        public List<Approval> Approvals { get; set; }
        public List<Document> Documents { get; set; }
    }
}